Name:		hntool
Version:	0.1.2
Release:	20%{?dist}
Summary:	Open source hardening tool for Unix

License:	GPLv2
URL:		http://code.google.com/p/hntool/
Source0:	http://hntool.googlecode.com/files/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-setuptools python2-devel

%description
HnTool is an open source (GPLv2) hardening tool for Unix. It scans your system
for vulnerabilities or problems in configuration files.

%prep
%setup -q -n %{name}-%{version}

#fix shebang on rpmlint
sed -i -e '1d' HnTool/core.py

#fix the path to documentation
sed -i 's/hntool-%s/hntool/' setup.py
sed -i 's/ % __version__,/,/' setup.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --prefix /usr/ --root $RPM_BUILD_ROOT


%files
%doc AUTHORS LICENSE NEWS README TODO
%{python2_sitelib}/*
%{_bindir}/hntool
%{_mandir}/man1/hntool*

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Feb 07 2018 Filipe Rosset <rosset.filipe@gmail.com> - 0.1.2-16
- spec cleanup

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.2-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Feb 23 2014 Filipe Rosset <rosset.filipe@gmail.com> - 0.1.2-8
- Fix packaging issues
- Fix rhbz #992482
- Notified upstream about incorrect-fsf-address

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 13 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.1.2-1
- Update to upstream 0.1.2

* Wed Apr 28 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.1.1-1
- Update to upstream 0.1.1

* Sat Apr 24 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.1-2
- Fix SPEC issues

* Wed Apr 14 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.1-1
- Initial RPM release
